{% extends 'dashboard/dashboard_header.html' %}

{% block title %}
    {{ message.page_title }}
{% endblock %}

{% block content %}
    <div class="col-md-10 col-md-offset-1">
        <div class="col-middle">
            <div class="text-center text-center">
                <div class="jumbotron">
                    <h1>{{ message.title }}</h1>
                    <p>{{ message.description }} </p>
                    {% if reallow_parameter %}
                        <button type="button" class="btn btn-danger btn-lg" data-toggle="modal"
                                data-target="#reallow_prompt">
                            Request to Reallow
                        </button>
                    {% endif %}
                </div>

            </div>

        </div>
    </div>
    <div id="reallow_prompt" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Request Confirmation</h4>
                </div>
                <div class="modal-body">
                    <h4>This will request your HOD to enable attendance marking for this hour again. Request will
                        be under his reallow attteance request menu.</h4>
                    <h4 align="center">Are you sure?</h4>
                </div>
                <div class="clearfix"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-lg btn-primary" data-dismiss="modal"
                            id="reallow_request">Confirm
                    </button>
                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">
        $('document').ready(function () {
            $('#reallow_request').click(function () {
                window.location.href = '{% url 'reallow_request' semester_pk=reallow_parameter.semester_pk attendance_date=reallow_parameter.attendance_date course_id=reallow_parameter.course_id hour=reallow_parameter.hour %}';
            });
        });

    </script>

{% endblock %}